<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Mon Sep 15 15:27:45 CEST 2014 -->
<title>IndexSearch</title>
<meta name="date" content="2014-09-15">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="IndexSearch";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IndexSearch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/Search.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/IndexSearch.html" target="_top">Frames</a></li>
<li><a href="IndexSearch.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.search</div>
<h2 title="Class IndexSearch" class="title">Class IndexSearch</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">fr.inria.alpage.frmgcm.search.AsyncSearchMod</a></li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.search.IndexSearch</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">IndexSearch</span>
extends <a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">AsyncSearchMod</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html#_query">_query</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html#_results">_results</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html#_tmpStringResult">_tmpStringResult</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.Integer</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html#batchSize">batchSize</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.Integer</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html#fromResult">fromResult</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.Integer</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html#total">total</a></strong></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_fr.inria.alpage.frmgcm.search.AsyncSearchMod">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;fr.inria.alpage.frmgcm.search.<a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">AsyncSearchMod</a></h3>
<code><a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html#status">status</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html#IndexSearch()">IndexSearch</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html#execute()">execute</a></strong>()</code>
<div class="block">Execute the query</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html#exportResult()">exportResult</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html#fullTextSearch(java.lang.String,%20com.mongodb.BasicDBList)">fullTextSearch</a></strong>(java.lang.String&nbsp;match,
              com.mongodb.BasicDBList&nbsp;subcollectionIds)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html#getFullResults()">getFullResults</a></strong>()</code>
<div class="block">Used for exportResults</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html#getResult(int,%20int)">getResult</a></strong>(int&nbsp;from,
         int&nbsp;max)</code>
<div class="block">Retrieve result</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html#hasNext()">hasNext</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html#next()">next</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html" title="class in fr.inria.alpage.frmgcm.search">IndexSearch</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html#setQuery(com.mongodb.BasicDBObject)">setQuery</a></strong>(com.mongodb.BasicDBObject&nbsp;query)</code>
<div class="block">set the query object</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="_query">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_query</h4>
<pre>private&nbsp;com.mongodb.BasicDBObject _query</pre>
</li>
</ul>
<a name="_results">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_results</h4>
<pre>private&nbsp;com.mongodb.BasicDBObject _results</pre>
</li>
</ul>
<a name="_tmpStringResult">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_tmpStringResult</h4>
<pre>private&nbsp;java.lang.String _tmpStringResult</pre>
</li>
</ul>
<a name="batchSize">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>batchSize</h4>
<pre>private static&nbsp;java.lang.Integer batchSize</pre>
</li>
</ul>
<a name="fromResult">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fromResult</h4>
<pre>private&nbsp;java.lang.Integer fromResult</pre>
</li>
</ul>
<a name="total">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>total</h4>
<pre>private&nbsp;java.lang.Integer total</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="IndexSearch()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>IndexSearch</h4>
<pre>public&nbsp;IndexSearch()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="hasNext()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasNext</h4>
<pre>public&nbsp;boolean&nbsp;hasNext()</pre>
</li>
</ul>
<a name="next()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>next</h4>
<pre>public&nbsp;com.mongodb.BasicDBList&nbsp;next()</pre>
</li>
</ul>
<a name="execute()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execute</h4>
<pre>public&nbsp;java.lang.String&nbsp;execute()
                         throws java.lang.Exception</pre>
<div class="block">Execute the query</div>
<dl><dt><span class="strong">Returns:</span></dt><dd></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="setQuery(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setQuery</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html" title="class in fr.inria.alpage.frmgcm.search">IndexSearch</a>&nbsp;setQuery(com.mongodb.BasicDBObject&nbsp;query)</pre>
<div class="block">set the query object</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>query</code> - </dd>
<dt><span class="strong">Returns:</span></dt><dd></dd></dl>
</li>
</ul>
<a name="getFullResults()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFullResults</h4>
<pre>public&nbsp;com.mongodb.BasicDBList&nbsp;getFullResults()
                                       throws java.lang.Exception</pre>
<div class="block">Used for exportResults</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="fullTextSearch(java.lang.String, com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fullTextSearch</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject&nbsp;fullTextSearch(java.lang.String&nbsp;match,
                                       com.mongodb.BasicDBList&nbsp;subcollectionIds)
                                         throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="getResult(int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResult</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject&nbsp;getResult(int&nbsp;from,
                                  int&nbsp;max)</pre>
<div class="block"><strong>Description copied from class:&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html#getResult(int,%20int)">AsyncSearchMod</a></code></strong></div>
<div class="block">Retrieve result</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html#getResult(int,%20int)">getResult</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">AsyncSearchMod</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd></dd></dl>
</li>
</ul>
<a name="exportResult()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>exportResult</h4>
<pre>public&nbsp;java.lang.String&nbsp;exportResult()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html#exportResult()">exportResult</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/search/AsyncSearchMod.html" title="class in fr.inria.alpage.frmgcm.search">AsyncSearchMod</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IndexSearch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/Search.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/IndexSearch.html" target="_top">Frames</a></li>
<li><a href="IndexSearch.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
